name: MSK13C02
description: switch, surface mount, slide, 3 positions
datasheet: https://datasheet.lcsc.com/lcsc/2102241736_SHOU-HAN-MSK13C02_C2681567.pdf
distributor: LCSC C2681567

pinout:
  1: 1
  2: 2
  3: 3
  4: 4

schematic:
  symbol: switch
  left: 3
  right: 1, 2, 4

housing:
  pattern: custom
  bodyWidth: 9.9
  bodyLength: 2.7
  height: 1.5

  # 1, 2, 3, C
  padWidth: 0.8
  padHeight: 1.5
  padPosition: -3.0,-1.75, -1.5,-1.75, 1.5,-1.75, 3.0,-1.75

  # mounting tabs
  padWidth1: 0.9
  padHeight1: 0.8
  padPosition1: -5.3,1.25, -5.3,-1.25, 5.3,1.25, 5.3,-1.25 # 9.7/2+0.9/2

  # mounting hole
  holeDiameter2: 0.9
  padDiameter2: 0
  padPosition2: -2.5, 0, 2.5, 0
